Bug 1904684 - [sig-cli] oc debug ensure it works with image streams
Summary: [sig-cli] oc debug ensure it works with image streams
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
: 1915909 (view as bug list)
Depends On:
Blocks: 2051984 1895107
TreeView+ depends on / blocked
 
Reported: 2020-12-05 15:09 UTC by Oleg Bulatov
Modified: 2022-02-08 13:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 2051984 (view as bug list)
Environment:
[sig-cli] oc debug ensure it works with image streams [Suite:openshift/conformance/parallel]
Last Closed: 2021-02-24 15:38:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25746 0 None closed Bug 1904684: get rid of docker.io in tests 2021-02-01 05:30:25 UTC
Github openshift origin pull 25839 0 None Merged Bug 1904684: fix missing bits in images.sh tests 2022-01-25 14:34:52 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:40:03 UTC

Description Oleg Bulatov 2020-12-05 15:09:15 UTC
Description of problem:

This tests uses an image from docker.io. As docker.io has rate limits, we should avoid using it in tests.

Actual results:

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_ovn-kubernetes/368/pull-ci-openshift-ovn-kubernetes-master-e2e-vsphere-ovn/1335204821283639296

The test doesn't print the failure message, but apparently it cannot import the image docker.io/openshift/wildfly-150-centos7:latest for ./test/extended/testdata/cmd/test/cmd/testdata/image-streams/image-streams-centos7.json

Expected results:

The tests are not using docker.io and green.

Additional info:

Note: the severity is high because this test tries to import a lot of images from docker.io. I.e. it significantly consumes our docker.io requests quotas.

Comment 2 Maciej Szulik 2021-01-14 11:25:09 UTC
*** Bug 1915909 has been marked as a duplicate of this bug. ***

Comment 5 Maciej Szulik 2021-01-29 15:07:09 UTC
Moving back since there's a bunch of failures coming from the previous PR.

Comment 10 errata-xmlrpc 2021-02-24 15:38:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.